Bug 1285414 - "<" gets translated to ">"
"<" gets translated to ">"
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 09:44 EST by todd_lewis
Modified: 2017-08-08 08:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:27:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description todd_lewis 2015-11-25 09:44:37 EST
Description of problem: While using vncviewer connected to x0vncserver, in a context where text is being typed, hitting "<" produces ">" on the remote host. If you want a "<", you've got to find one somewere and copy/paste it.


Version-Release number of selected component (if applicable):
tigervnc-1.5.0-4.fc23.x86_64
tigervnc-server-1.5.0-4.fc23.x86_64
(Not sure if the problem is in the client or the server.)

How reproducible: Always


Steps to Reproduce:
1. establish a vncviewer connection to a remote x0vncserver
2. open a shell (or any context where text is entered)
3. try to type "<"; get ">" instead. Laugh, cry, goto 3.

Actual results:
You get ">" instead of "<", and html is really hard to edit.

Expected results:
Expect to get "<" when you hit "<".

Additional info:
I have not any other keys which generate the wrong thing on the other end, though I did check using a US-english vanilla keyboard.
Comment 1 Jan Grulich 2016-01-13 02:42:47 EST
I wasn't able to reproduce your problem, could you please try latest version of tigervnc?
Comment 2 todd_lewis 2016-01-25 11:35:04 EST
On local host: tigervnc-1.6.0-1.fc23.x86_64
On failing remote: tigervnc-server-1.6.0-1.fc23.x86_64
On working remote: tigervnc-server-1.6.0-1.fc23.x86_64

After further experimentation, there are two scenarios, one of which works and the other fails as described above.

*** Working scenario ***
Start ssh tunnel, then ssh as root into remote host and start vncserver@:2 via systemctl, then  thus:

ssh -f -L ${LOCALPORT}:localhost:${REMOTEPORT} -p${SSHPORT} \
          utoddl@remotehost -o ExitOnForwardFailure=yes -N
ssh root@targethost systemctl start vncserver@\:2
vncviewer :localhost:${LOCALPORT} \
          --DotWhenNoCursor \
          --PasswordFile=/path/to/.vnc/passwd

*** Failing scenario ***
Start x0vncserver as a "startup application" in mate session, then connect to it via ssh tunnel, thus:

On remote host:
$ cat .config/autostart/x0vncserver.desktop 
[Desktop Entry]
Type=Application
Exec=x0vncserver -passwordfile /home/fred/.vnc/passwd
Hidden=false
X-MATE-Autostart-enabled=true
Name[en_US]=VNC Server
Name=VNC Server
Comment[en_US]=Allow Todd remote access to screen
Comment=Allow Todd remote access to screen

On local host:
# set up ssh tunnel
ssh -v -f -L ${LOCALPORT}:localhost:${REMOTEPORT} -i /home/utoddl/.ssh/id_rsa.fred -p${SSHPORT} fred@remotehost -o ExitOnForwardFailure=yes -N
# run vncviewer to already established x0vncserver (from autostart file above)
vncviewer :localhost:${LOCALPORT} \
     -DotWhenNoCursor=1 \
     -PasswordFile=/home/utoddl/.vnc/passwd.fred \
     -FullScreen \
     -DesktopSize=1400x1050

Both scenarios "work" identically, except for this one thing: on the second (failing) scenario, in a terminal, "<" comes out ">". You can hit "NM<>?", but what you get is "NM>>?". Not so with the first scenario.
Comment 3 Fedora End Of Life 2016-11-24 08:44:11 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 todd_lewis 2016-12-01 22:46:04 EST
This is still a problem in Fedora 24. Note also this was reported before as bug 644359, but it was confused with VMWare issues at the time.
Comment 5 Jan Grulich 2017-04-06 05:08:14 EDT
Is this still problem with tigervnc-1.7.1?
Comment 6 Fedora End Of Life 2017-07-25 15:33:49 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 08:27:43 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.